Shadosocks library error libsodium.so.18

shadowsocks not work , error with library can’t load libsodium.so.18

this is happen with new one i bought . i still have 2 gl-mt300n and they work good.

i do not know what is changed whit this new one . this is colored Yellow . before black .

because i need use in china shadowsocks is for me important.

please help me

 

The yellow one should be MT300N or MT300N-V2 while the black one is AR300M.

There is a bug in the yellow one and you cannot load libsodium.so.18, but you can find libsodium.so.X in /usr/lib and you can just make a symbol link

X is some number that I cannot remember.

ln -s /usr/lib/libsodium.so.X /usr/lib/libsodium.so.18

yes different model , now work with link to library

thank for help